Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.model
Class ExtensionPointModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.ExtensionPointModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

public class ExtensionPointModel
extends PluginModelObject

An object which represents the user-defined extension point in a plug-in manifest.

This class may be instantiated, or further subclassed.

Constructor Summary
`ExtensionPointModel()` Deprecated. Creates a new extension point model in which all fields are `null`.

Method Summary
`ExtensionModel[]` | `getDeclaredExtensions()` Deprecated. Returns this extensions added to this extension point.
`String` | `getId()` Deprecated. Returns the simple identifier of this extension point, or `null` if this extension point does not have an identifier.
`PluginModel` | `getParent()` Deprecated. Returns the plug-in model (descriptor or fragment) in which this extension is declared.
`PluginDescriptorModel` | `getParentPluginDescriptor()` Deprecated. Returns the plug-in descriptor in which this extension point is declared.
`String` | `getSchema()` Deprecated. Returns the schema specification for this extension point.
`void` | `setDeclaredExtensions(ExtensionModel[] value)` Deprecated. Sets this extensions added to this extension point.
`void` | `setId(String value)` Deprecated. Sets the simple identifier of this extension point, or `null` if this extension point does not have an identifier.
`void` | `setParent(PluginModel value)` Deprecated. Sets the plug-in model in which this extension is declared.
`void` | `setParentPluginDescriptor(PluginDescriptorModel value)` Deprecated. Sets the plug-in descriptor in which this extension point is declared.
`void` | `setSchema(String value)` Deprecated. Sets the schema specification for this extension point.

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, markReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionPointModel

    public ExtensionPointModel()

  Deprecated.
  Creates a new extension point model in which all fields are `null`.

Method Detail

### getDeclaredExtensions

    public ExtensionModel[] getDeclaredExtensions()

  Deprecated.
  Returns this extensions added to this extension point.

  Returns:
    the extensions in this extension point or `null`

### getId

    public String getId()

  Deprecated.
  Returns the simple identifier of this extension point, or `null` if this extension point does not have an identifier. This identifier is specified in the plug-in manifest as a non-empty string containing no period characters (`'.'`) and must be unique within the defining plug-in.

  Returns:
    the simple identifier of the extension point (e.g. `"main"`) or `null`

### getParent

    public PluginModel getParent()

  Deprecated.
  Returns the plug-in model (descriptor or fragment) in which this extension is declared.

  Returns:
    the plug-in model in which this extension is declared or `null`

### getParentPluginDescriptor

    public PluginDescriptorModel getParentPluginDescriptor()

  Deprecated.
  Returns the plug-in descriptor in which this extension point is declared.

  Returns:
    the plug-in descriptor in which this extension point is declared or `null`

### getSchema

    public String getSchema()

  Deprecated.
  Returns the schema specification for this extension point.

  Returns:
    the schema specification for this extension point or `null`

### setDeclaredExtensions

    public void setDeclaredExtensions(ExtensionModel[] value)

  Deprecated.
  Sets this extensions added to this extension point. This object must not be read-only.

  Parameters:
    `value` - the extensions in this extension point. May be `null`.

### setId

    public void setId(String value)

  Deprecated.
  Sets the simple identifier of this extension point, or `null` if this extension point does not have an identifier. This identifier is specified in the plug-in manifest as a non-empty string containing no period characters (`'.'`) and must be unique within the defining plug-in. This object must not be read-only.

  Parameters:
    `value` - the simple identifier of the extension point (e.g. `"main"`). May be `null`.

### setParent

    public void setParent(PluginModel value)

  Deprecated.
  Sets the plug-in model in which this extension is declared. This object must not be read-only.

  Parameters:
    `value` - the plug-in model in which this extension is declared. May be `null`.

### setParentPluginDescriptor

    public void setParentPluginDescriptor(PluginDescriptorModel value)

  Deprecated.
  Sets the plug-in descriptor in which this extension point is declared. This object must not be read-only.

  Parameters:
    `value` - the plug-in descriptor in which this extension point is declared. May be `null`.

### setSchema

    public void setSchema(String value)

  Deprecated.
  Sets the schema specification for this extension point. This object must not be read-only.

  Parameters:
    `value` - the schema specification for this extension point. May be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.